## WebKitWebEditor WebKitWebEditor — Access to editing capabilities of a WebKitWebPage |

## Functions

WebKitWebPage * | webkit_web_editor_get_page ()

## Signals

void | selection-changed | Run Last

## Types and Values

| WebKitWebEditor

## Object Hierarchy

        GObject
        ╰── WebKitWebEditor

## Description

The WebKitWebEditor provides access to various editing capabilities of a WebKitWebPage such as a possibility to react to the current selection in WebKitWebPage.

## Functions

### webkit_web_editor_get_page ()

    WebKitWebPage *
    webkit_web_editor_get_page (WebKitWebEditor *editor);

Gets the WebKitWebPage that is associated with the WebKitWebEditor that can be used to access the WebKitDOMDocument currently loaded into it.

#### Parameters

editor | a WebKitWebEditor |

#### Returns

the associated WebKitWebPage.

[transfer none]

Since: 2.10

## Types and Values

### WebKitWebEditor

    typedef struct _WebKitWebEditor WebKitWebEditor;

## Signal Details

### The `“selection-changed”` signal

    void
    user_function (WebKitWebEditor *editor,
                   gpointer         user_data)

This signal is emitted for every selection change inside a WebKitWebPage as well as for every caret position change as the caret is a collapsed selection.

#### Parameters

editor | the WebKitWebEditor on which the signal is emitted |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 2.10

## See Also

WebKitWebPage